body
{
    margin: 0;
    font-family: 'Noto Sans KR', sans-serif;
}
.navigation
{
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: blanchedalmond;
}
.nav_menu
{
    display: flex;
    list-style: none;
}
.nav_right
{
    display: flex;
    list-style: none;
}
.nav_menu li
{
    
    padding: 5px 12px;
    font-size: 15px;
}
.nav_menu li :hover
{
    background-color: rgb(215, 124, 154);
    border-radius: 5px;
}
.nav_right li
{
    padding: 5px 8px;
    color: aquamarine;
}
a
{
    text-decoration: none;
}
.burger_button
{
    display: none;
    color: aqua;
    position: absolute;
    right: 10px;
}
@media screen and (max-width:500px) {
  /* 시험부분 */
  .navigation
  {
    flex-direction: column;
    align-items: flex-start;
  }
  .nav_menu
  {
    flex-direction: column;
    align-items: center;
    width: 100%;
    display: none;
  }
  .nav_menu li
  {
    
    text-align: center;
    width: 100%;
  }
  .nav_menu li:hover {
    background-color: rgb(215, 124, 154);
    border-radius: 5px;
    width: 100vw; /* 가로 화면 너비에 꽉 차도록 설정 */
  }
  .nav_right
  {
    justify-content: center;
    width: 100%;
    display: none;
  }
  .burger_button
  {    
    display: block;
  }
  .nav_menu.active
  {
    display: flex;
  }
  .nav_right.active
  {
    display: flex;
  }
}

.container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  grid-template-rows: repeat(6, minmax(80px, auto));
  grid-gap: 2rem;
  padding: 1rem;
  grid-template-areas:
      'a a a'
      'b c d'
      'b e f'
      'b g h'
      'i i i'
      'j j j';
}

.intro {
  grid-area: a;
  margin-bottom: 2rem;
  padding: 2rem;
  border: 2px solid #ccc;
  border-radius: 5px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.intro h1 {
  font-size: 1.8rem;
  font-weight: bold;
}
  
  .main1 {
    grid-area: b;
    background-color: #f1f8e9; /* 연한 녹색 */
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.2rem;
    font-weight: bold;
    text-align: center;
  }
  
  .sub1 {
    grid-area: c;
    background-color: #ffecb3; /* 연한 주황색 */
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.1rem;
    font-weight: bold;
    text-align: center;
  }
  
  .sub2 {
    grid-area: d;
    background-color: #e0f2f1; /* 연한 청록색 */
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.1rem;
    font-weight: bold;
    text-align: center;
  }

  .sub3 {
    grid-area: e;
    background-color: #e3f2fd; /* 파란색 */
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.1rem;
    font-weight: bold;
    text-align: center;
  }
  
  .sub4 {
    grid-area: f;
    background-color: #f0f4c3; /* 연한 노란색 */
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.1rem;
    font-weight: bold;
    text-align: center;
  }
  
  .sub5 {
    grid-area: g;
    background-color: #bbdefb; /* 연한 파란색 */
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.1rem;
    font-weight: bold;
    text-align: center;
  }
  
  .sub6 {
    grid-area: h;
    background-color: #e6ee9c; /* 연한 연두색 */
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.1rem;
    font-weight: bold;
    text-align: center;
  }
  
  .main2 {
    grid-area: i;
    background-color: #cfd8dc;
    padding: 1rem;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

.main3 h2 {
    color: #724280;
    font-size: 24px;
    text-align: center;
}

.main2 ul {
    list-style-type: disc;
    color: #333;
    font-size: 18px;
    padding-left: 1.5rem;
    margin-top: 1rem;
}

.main2 ul li {
    margin-bottom: 0.5rem;
}

.main3 {
    grid-area: j;
    background: linear-gradient(to bottom,  #E6E6FA, #f089f0);
    
    padding: 1rem;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

.main2 h2 {
    color: #0A224E;
    font-size: 24px;
    text-align: center;
}

.main3 ul {
    list-style-type: disc;
    color: #333;
    font-size: 18px;
    padding-left: 1.5rem;
    margin-top: 1rem;
}

.main3 ul li {
    margin-bottom: 0.5rem;
}
  .container2 {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 5rem;
    justify-content: center;
    background: linear-gradient(to bottom, #c1c0c0, #D9D9D9);
  }
    
    header {
      display: flex;
      justify-content: space-between;
      align-items: center;
      width: 100%;
      margin-bottom: 2rem;
    }
    
    .center-text {
      text-align: center;
      font-size: 2rem;
      color: #333;
      text-transform: uppercase;
      letter-spacing: 2px;
      font-weight: bold;
      margin: 0;
    }
    
    .home-button {
      margin-right: 1rem;
      font-size: 1.2rem;
      text-decoration: none;
      background-color: #333;
      color: #fff;
      padding: 0.5rem 1rem;
      border: none;
      border-radius: 4px;
      transition: background-color 0.3s ease-in-out;
    }
    
    .home-button:hover {
      background-color: #555;
    }
    
    .container3 {
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
      grid-template-rows: repeat(4, 200px);
      grid-gap: 2rem;
      grid-template-areas:
        'a a a'
        'b c c'
        'b d e'
        'f g e';
    }
    @media screen and (max-width:500px) {
      .container3 {
        grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
        grid-template-areas:
        'a b'
        'c d'
        'e f'
        'g g';
      }
    }
    
    .image {
      width: 100%;
      height: 100%;
      object-fit: cover;
      border-radius: 10px;
      box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
      
    }
    
    .image1 {
      grid-area: a;
    }
    
    .image2 {
      grid-area: b;
    }
    
    .image3 {
      grid-area: c;
    }
    
    .image4 {
      grid-area: d;
    }
    
    .image5 {
      grid-area: e;
    }
    
    .image6 {
      grid-area: f;
    }
    
    .image7 {
      grid-area: g;
    }
    
    .image:hover {
      transform: scale(1.2);
      transition: transform 0.3s ease-in-out;
    }
    .gallery {
      
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
      grid-gap: 10px;
    }
    
    .gallery-item {
      position: relative;
      overflow: hidden;
      height: 100%;
    }
    
    .gallery-item img {
      display: block;
      width: 100%;
      height: 100%;
      object-fit: cover;
      transition: transform 0.3s ease;
      border-radius: 10px;
      border: 3px solid rgba(0, 0, 0, 0.1);
    }
    
    .gallery-item:hover img {
      transform: scale(1.1);
      border-color: rgba(0, 0, 0, 0.3);
    }
    
    .gallery-item::before {
      content: '';
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.5);
      opacity: 0;
      visibility: hidden;
      transition: opacity 0.3s ease, visibility 0s linear 0.3s;
    }
    
    .gallery-item:hover::before {
      opacity: 1;
      visibility: visible;
      transition-delay: 0s;
    }
    
    .gallery-item::after {
      content: '\A';
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      font-size: 24px;
      color: #fff;
      opacity: 0;
      visibility: hidden;
      transition: opacity 0.3s ease, visibility 0s linear 0.3s;
    }
    
    .gallery-item:hover::after {
      opacity: 1;
      visibility: visible;
      transition-delay: 0s;
    }

    #game-container {
      display: flex;
      flex-direction: column;
      align-items: center;
      margin-top: 50px;
  }
  
  #player-hand, #dealer-hand {
      margin-bottom: 20px;
  }
  
  #player-cards, #dealer-cards {
      display: flex;
      justify-content: center;
  }
  
  .card {
      width: 80px;
      height: 120px;
      border: 1px solid black;
      margin-right: 10px;
      display: flex;
      align-items: center;
      justify-content: center;
  }
  
  #buttons {
      margin-bottom: 20px;
  }
  
  #result {
      font-weight: bold;
  }
  #description {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
  }